<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BotWaitForChangeInHands Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/dd9/class_bot_wait_for_change_in_hands.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BotWaitForChangeInHands Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:acfc8f79d952d8fbc61de2982c8c46469"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#acfc8f79d952d8fbc61de2982c8c46469">OnEntry</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:acfc8f79d952d8fbc61de2982c8c46469"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecc9b4cf10547aedbea2fae4ae65a887"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#aecc9b4cf10547aedbea2fae4ae65a887">OnAbort</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:aecc9b4cf10547aedbea2fae4ae65a887"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a558cf87a3755934fe595eb4956e0e594"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#a558cf87a3755934fe595eb4956e0e594">OnExit</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:a558cf87a3755934fe595eb4956e0e594"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7c890bd961c84618dd9ff650c66d302"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae7c890bd961c84618dd9ff650c66d302">OnUpdate</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> dt)</td></tr>
<tr class="separator:ae7c890bd961c84618dd9ff650c66d302"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfc8f79d952d8fbc61de2982c8c46469"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#acfc8f79d952d8fbc61de2982c8c46469">OnEntry</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:acfc8f79d952d8fbc61de2982c8c46469"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecc9b4cf10547aedbea2fae4ae65a887"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#aecc9b4cf10547aedbea2fae4ae65a887">OnAbort</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:aecc9b4cf10547aedbea2fae4ae65a887"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a558cf87a3755934fe595eb4956e0e594"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#a558cf87a3755934fe595eb4956e0e594">OnExit</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:a558cf87a3755934fe595eb4956e0e594"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7c890bd961c84618dd9ff650c66d302"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae7c890bd961c84618dd9ff650c66d302">OnUpdate</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> dt)</td></tr>
<tr class="separator:ae7c890bd961c84618dd9ff650c66d302"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfc8f79d952d8fbc61de2982c8c46469"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#acfc8f79d952d8fbc61de2982c8c46469">OnEntry</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:acfc8f79d952d8fbc61de2982c8c46469"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecc9b4cf10547aedbea2fae4ae65a887"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#aecc9b4cf10547aedbea2fae4ae65a887">OnAbort</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:aecc9b4cf10547aedbea2fae4ae65a887"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a558cf87a3755934fe595eb4956e0e594"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#a558cf87a3755934fe595eb4956e0e594">OnExit</a> (<a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</td></tr>
<tr class="separator:a558cf87a3755934fe595eb4956e0e594"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7c890bd961c84618dd9ff650c66d302"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae7c890bd961c84618dd9ff650c66d302">OnUpdate</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> dt)</td></tr>
<tr class="separator:ae7c890bd961c84618dd9ff650c66d302"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae169cd5ba348c834624fa34c775695e0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae169cd5ba348c834624fa34c775695e0">m_Entity</a></td></tr>
<tr class="separator:ae169cd5ba348c834624fa34c775695e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00158">158</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aecc9b4cf10547aedbea2fae4ae65a887" name="aecc9b4cf10547aedbea2fae4ae65a887"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecc9b4cf10547aedbea2fae4ae65a887">&#9670;&#160;</a></span>OnAbort() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnAbort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00177">177</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<a id="aecc9b4cf10547aedbea2fae4ae65a887" name="aecc9b4cf10547aedbea2fae4ae65a887"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecc9b4cf10547aedbea2fae4ae65a887">&#9670;&#160;</a></span>OnAbort() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnAbort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00210">210</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<a id="aecc9b4cf10547aedbea2fae4ae65a887" name="aecc9b4cf10547aedbea2fae4ae65a887"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecc9b4cf10547aedbea2fae4ae65a887">&#9670;&#160;</a></span>OnAbort() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnAbort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00234">234</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<a id="acfc8f79d952d8fbc61de2982c8c46469" name="acfc8f79d952d8fbc61de2982c8c46469"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfc8f79d952d8fbc61de2982c8c46469">&#9670;&#160;</a></span>OnEntry() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00162">162</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<a id="acfc8f79d952d8fbc61de2982c8c46469" name="acfc8f79d952d8fbc61de2982c8c46469"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfc8f79d952d8fbc61de2982c8c46469">&#9670;&#160;</a></span>OnEntry() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00186">186</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<a id="acfc8f79d952d8fbc61de2982c8c46469" name="acfc8f79d952d8fbc61de2982c8c46469"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfc8f79d952d8fbc61de2982c8c46469">&#9670;&#160;</a></span>OnEntry() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00221">221</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<a id="a558cf87a3755934fe595eb4956e0e594" name="a558cf87a3755934fe595eb4956e0e594"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a558cf87a3755934fe595eb4956e0e594">&#9670;&#160;</a></span>OnExit() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnExit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00178">178</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<a id="a558cf87a3755934fe595eb4956e0e594" name="a558cf87a3755934fe595eb4956e0e594"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a558cf87a3755934fe595eb4956e0e594">&#9670;&#160;</a></span>OnExit() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnExit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00211">211</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<a id="a558cf87a3755934fe595eb4956e0e594" name="a558cf87a3755934fe595eb4956e0e594"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a558cf87a3755934fe595eb4956e0e594">&#9670;&#160;</a></span>OnExit() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnExit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00235">235</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<a id="ae7c890bd961c84618dd9ff650c66d302" name="ae7c890bd961c84618dd9ff650c66d302"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7c890bd961c84618dd9ff650c66d302">&#9670;&#160;</a></span>OnUpdate() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>dt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00179">179</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<a id="ae7c890bd961c84618dd9ff650c66d302" name="ae7c890bd961c84618dd9ff650c66d302"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7c890bd961c84618dd9ff650c66d302">&#9670;&#160;</a></span>OnUpdate() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>dt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00212">212</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<a id="ae7c890bd961c84618dd9ff650c66d302" name="ae7c890bd961c84618dd9ff650c66d302"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7c890bd961c84618dd9ff650c66d302">&#9670;&#160;</a></span>OnUpdate() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BotWaitForChangeInHands::OnUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>dt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00236">236</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ae169cd5ba348c834624fa34c775695e0" name="ae169cd5ba348c834624fa34c775695e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae169cd5ba348c834624fa34c775695e0">&#9670;&#160;</a></span>m_Entity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> BotWaitForChangeInHands::m_Entity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00160">160</a> of file <a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Systems/Bot/<a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html">Bot_TestSpawnAndOpenCan.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html">BotWaitForChangeInHands</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
